io.undertow.server.handlers.proxy.mod_cluster

## Class MCMPConfig.AdvertiseBuilder

- java.lang.Object
- - io.undertow.server.handlers.proxy.mod_cluster.MCMPConfig.AdvertiseBuilder

Enclosing class:
  MCMPConfig

    public static class MCMPConfig.AdvertiseBuilder
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AdvertiseBuilder(MCMPConfig.Builder parent)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MCMPConfig.Builder` `getParent()`
`MCMPConfig.AdvertiseBuilder` `setAdvertiseAddress(String advertiseAddress)`
`MCMPConfig.AdvertiseBuilder` `setAdvertiseFrequency(int advertiseFrequency)`
`MCMPConfig.AdvertiseBuilder` `setAdvertiseGroup(String advertiseGroup)`
`MCMPConfig.AdvertiseBuilder` `setAdvertisePort(int advertisePort)`
`MCMPConfig.AdvertiseBuilder` `setAdvertiseTtl(int advertiseTtl)`
`MCMPConfig.AdvertiseBuilder` `setPath(String path)`
`MCMPConfig.AdvertiseBuilder` `setProtocol(String protocol)`
`MCMPConfig.AdvertiseBuilder` `setSecurityKey(String securityKey)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AdvertiseBuilder

    public AdvertiseBuilder(MCMPConfig.Builder parent)

### Method Detail

#### setAdvertiseGroup

    public MCMPConfig.AdvertiseBuilder setAdvertiseGroup(String advertiseGroup)

#### setAdvertiseAddress

    public MCMPConfig.AdvertiseBuilder setAdvertiseAddress(String advertiseAddress)

#### setAdvertisePort

    public MCMPConfig.AdvertiseBuilder setAdvertisePort(int advertisePort)

#### setAdvertiseTtl

    public MCMPConfig.AdvertiseBuilder setAdvertiseTtl(int advertiseTtl)

#### setAdvertiseFrequency

    public MCMPConfig.AdvertiseBuilder setAdvertiseFrequency(int advertiseFrequency)

#### setSecurityKey

    public MCMPConfig.AdvertiseBuilder setSecurityKey(String securityKey)

#### setProtocol

    public MCMPConfig.AdvertiseBuilder setProtocol(String protocol)

#### setPath

    public MCMPConfig.AdvertiseBuilder setPath(String path)

#### getParent

    public MCMPConfig.Builder getParent()